#include <cstdio>

#include "valuer.h"

using namespace NValuer;

int main()
{
    TValuer valuer(TValuer::FullScore, 60);
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 1, 1, 0));
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 2, 11, 30));
    valuer.Add(TestGroup(TestGroup::AllOrNothing, 12, 27, 30));
    valuer.Add(TestGroup(TestGroup::ClassicScore, 28, 35, 40), TValuer::Offline);
    if (!valuer.Ok(100)) {
        return 43;
    }

    TEjudgeCheckResultParser parser;
    printf("%d", valuer.CalcScore(parser));

    return 0;
}
